/* ===================================================== */
/* BTN COMPONENT                                         */
/* ===================================================== */
/*
	1) Variants
		- .btn-primary2
		- .btn-default2
		- .btn-info2
		- .btn-warning2
		- .btn-purple
		- .btn-orange
		- .btn-teal
		- .btn-gray
		- .btn-pink
		- .btn-apply

	2) Outline
		- .btn-outline-primary2
		- .btn-outline-default2
		- .btn-outline-info2
		- .btn-outline-warning2
		- .btn-outline-purple
		- .btn-outline-orange
		- .btn-outline-teal
		- .btn-outline-gray
		- .btn-outline-pink
		- .btn-outline-apply

	3) Sizing
	- .btn      (default = md)
	- .btn-xs   (custom)
	- .btn-sm
	- .btn-lg
*/
/* ===================================================== */




/* ===================================================== */
/* BTN COMPONENT                                         */
/* ===================================================== */
/*
	1) Variants
	2) Outline
	3) Sizing
*/
/* ===================================================== */



/* ===================================================== */
/* Variants                                              */
/* ===================================================== */

/* primary2 */
.btn-primary2 {
	--bs-btn-color: #fff;
	--bs-btn-bg: #384452;
	--bs-btn-border-color: #333;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #252f3c;
	--bs-btn-hover-border-color: #333;
	--bs-btn-focus-shadow-rgb: 56, 68, 82;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #252f3c;
	--bs-btn-active-border-color: #333;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #384452;
	--bs-btn-disabled-border-color: #333;
}

/* default2 */
.btn-default2 {
	--bs-btn-color: #454545;
	--bs-btn-bg: #d2d1d1;
	--bs-btn-border-color: #aeaeae;
	--bs-btn-hover-color: #454545;
	--bs-btn-hover-bg: #c4c3c3;
	--bs-btn-hover-border-color: #333;
	--bs-btn-focus-shadow-rgb: 174, 174, 174;
	--bs-btn-active-color: #454545;
	--bs-btn-active-bg: #c4c3c3;
	--bs-btn-active-border-color: #333;
	--bs-btn-disabled-color: #454545;
	--bs-btn-disabled-bg: #d2d1d1;
	--bs-btn-disabled-border-color: #aeaeae;
}

/* info2 */
.btn-info2 {
	--bs-btn-color: #fff;
	--bs-btn-bg: #0d6efd;
	--bs-btn-border-color: #0d6efd;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #0b5ed7;
	--bs-btn-hover-border-color: #0a58ca;
	--bs-btn-focus-shadow-rgb: 13, 110, 253;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #0a58ca;
	--bs-btn-active-border-color: #0a53be;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #0d6efd;
	--bs-btn-disabled-border-color: #0d6efd;
}

/* warning2 */
.btn-warning2 {
	--bs-btn-color: #fff;
	--bs-btn-bg: #f59f00;
	--bs-btn-border-color: #f59f00;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #e68900;
	--bs-btn-hover-border-color: #d97706;
	--bs-btn-focus-shadow-rgb: 245, 159, 0;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #d97706;
	--bs-btn-active-border-color: #c26c05;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #f59f00;
	--bs-btn-disabled-border-color: #f59f00;
}

/* purple */
.btn-purple {
	--bs-btn-color: #fff;
	--bs-btn-bg: #8b5cf6;
	--bs-btn-border-color: #8b5cf6;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #7c3aed;
	--bs-btn-hover-border-color: #7c3aed;
	--bs-btn-focus-shadow-rgb: 139, 92, 246;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #7c3aed;
	--bs-btn-active-border-color: #7c3aed;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #8b5cf6;
	--bs-btn-disabled-border-color: #8b5cf6;
}

/* orange */
.btn-orange {
	--bs-btn-color: #fff;
	--bs-btn-bg: #fd7e14;
	--bs-btn-border-color: #fd7e14;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #e96b00;
	--bs-btn-hover-border-color: #e96b00;
	--bs-btn-focus-shadow-rgb: 253, 126, 20;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #e96b00;
	--bs-btn-active-border-color: #e96b00;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #fd7e14;
	--bs-btn-disabled-border-color: #fd7e14;
}

/* teal */
.btn-teal {
	--bs-btn-color: #fff;
	--bs-btn-bg: #20c997;
	--bs-btn-border-color: #20c997;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #17a689;
	--bs-btn-hover-border-color: #17a689;
	--bs-btn-focus-shadow-rgb: 32, 201, 151;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #17a689;
	--bs-btn-active-border-color: #17a689;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #20c997;
	--bs-btn-disabled-border-color: #20c997;
}

/* gray */
.btn-gray {
	--bs-btn-color: #fff;
	--bs-btn-bg: #6c757d;
	--bs-btn-border-color: #6c757d;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #5a6268;
	--bs-btn-hover-border-color: #5a6268;
	--bs-btn-focus-shadow-rgb: 108, 117, 125;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #5a6268;
	--bs-btn-active-border-color: #5a6268;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #6c757d;
	--bs-btn-disabled-border-color: #6c757d;
}

/* pink */
.btn-pink {
	--bs-btn-color: #fff;
	--bs-btn-bg: #e83e8c;
	--bs-btn-border-color: #e83e8c;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #c61e6f;
	--bs-btn-hover-border-color: #c61e6f;
	--bs-btn-focus-shadow-rgb: 232, 62, 140;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #c61e6f;
	--bs-btn-active-border-color: #c61e6f;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #e83e8c;
	--bs-btn-disabled-border-color: #e83e8c;
}

/* apply */
.btn-apply {
	--bs-btn-color: #fff;
	--bs-btn-bg: #ec6433;
	--bs-btn-border-color: #ec6433;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #cc5125;
	--bs-btn-hover-border-color: #cc5125;
	--bs-btn-focus-shadow-rgb: 236, 100, 51;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #cc5125;
	--bs-btn-active-border-color: #cc5125;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #ec6433;
	--bs-btn-disabled-border-color: #ec6433;
}



/* ===================================================== */
/* Outline                                               */
/* ===================================================== */

.btn-outline-primary2 {
	--bs-btn-color: #384452;
	--bs-btn-border-color: #384452;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #384452;
	--bs-btn-hover-border-color: #384452;
	--bs-btn-focus-shadow-rgb: 56, 68, 82;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #252f3c;
	--bs-btn-active-border-color: #252f3c;
	--bs-btn-disabled-color: #384452;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #384452;
	--bs-gradient: none;
}

.btn-outline-default2 {
	--bs-btn-color: #454545;
	--bs-btn-border-color: #aeaeae;
	--bs-btn-hover-color: #454545;
	--bs-btn-hover-bg: #d2d1d1;
	--bs-btn-hover-border-color: #aeaeae;
	--bs-btn-focus-shadow-rgb: 174, 174, 174;
	--bs-btn-active-color: #454545;
	--bs-btn-active-bg: #c4c3c3;
	--bs-btn-active-border-color: #c4c3c3;
	--bs-btn-disabled-color: #454545;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #aeaeae;
	--bs-gradient: none;
}

.btn-outline-info2 {
	--bs-btn-color: #0d6efd;
	--bs-btn-border-color: #0d6efd;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #0d6efd;
	--bs-btn-hover-border-color: #0d6efd;
	--bs-btn-focus-shadow-rgb: 13, 110, 253;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #0a58ca;
	--bs-btn-active-border-color: #0a53be;
	--bs-btn-disabled-color: #0d6efd;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #0d6efd;
	--bs-gradient: none;
}

.btn-outline-warning2 {
	--bs-btn-color: #f59f00;
	--bs-btn-border-color: #f59f00;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #f59f00;
	--bs-btn-hover-border-color: #f59f00;
	--bs-btn-focus-shadow-rgb: 245, 159, 0;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #d97706;
	--bs-btn-active-border-color: #c26c05;
	--bs-btn-disabled-color: #f59f00;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #f59f00;
	--bs-gradient: none;
}

.btn-outline-purple {
	--bs-btn-color: #8b5cf6;
	--bs-btn-border-color: #8b5cf6;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #8b5cf6;
	--bs-btn-hover-border-color: #8b5cf6;
	--bs-btn-focus-shadow-rgb: 139, 92, 246;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #7c3aed;
	--bs-btn-active-border-color: #7c3aed;
	--bs-btn-disabled-color: #8b5cf6;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #8b5cf6;
	--bs-gradient: none;
}

.btn-outline-orange {
	--bs-btn-color: #fd7e14;
	--bs-btn-border-color: #fd7e14;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #fd7e14;
	--bs-btn-hover-border-color: #fd7e14;
	--bs-btn-focus-shadow-rgb: 253, 126, 20;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #e96b00;
	--bs-btn-active-border-color: #e96b00;
	--bs-btn-disabled-color: #fd7e14;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #fd7e14;
	--bs-gradient: none;
}

.btn-outline-teal {
	--bs-btn-color: #20c997;
	--bs-btn-border-color: #20c997;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #20c997;
	--bs-btn-hover-border-color: #20c997;
	--bs-btn-focus-shadow-rgb: 32, 201, 151;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #17a689;
	--bs-btn-active-border-color: #17a689;
	--bs-btn-disabled-color: #20c997;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #20c997;
	--bs-gradient: none;
}

.btn-outline-gray {
	--bs-btn-color: #6c757d;
	--bs-btn-border-color: #6c757d;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #6c757d;
	--bs-btn-hover-border-color: #6c757d;
	--bs-btn-focus-shadow-rgb: 108, 117, 125;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #5a6268;
	--bs-btn-active-border-color: #5a6268;
	--bs-btn-disabled-color: #6c757d;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #6c757d;
	--bs-gradient: none;
}

.btn-outline-pink {
	--bs-btn-color: #e83e8c;
	--bs-btn-border-color: #e83e8c;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #e83e8c;
	--bs-btn-hover-border-color: #e83e8c;
	--bs-btn-focus-shadow-rgb: 232, 62, 140;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #c61e6f;
	--bs-btn-active-border-color: #c61e6f;
	--bs-btn-disabled-color: #e83e8c;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #e83e8c;
	--bs-gradient: none;
}

.btn-outline-apply {
	--bs-btn-color: #ec6433;
	--bs-btn-border-color: #ec6433;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #ec6433;
	--bs-btn-hover-border-color: #ec6433;
	--bs-btn-focus-shadow-rgb: 236, 100, 51;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #cc5125;
	--bs-btn-active-border-color: #cc5125;
	--bs-btn-disabled-color: #ec6433;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #ec6433;
	--bs-gradient: none;
}


/* ===================================================== */
/* Sizing                                                */
/* ===================================================== */
/*
	- .btn      (default = md)
	- .btn-xs   (custom)
	- .btn-sm
	- .btn-lg
*/
/* ===================================================== */


/* default (md) */
.btn {
	--bs-btn-padding-y: .5rem;
	--bs-btn-padding-x: 1rem;
	--bs-btn-font-size: 1rem;
	--bs-btn-border-radius: var(--bs-border-radius);
}


/* extra small (custom) */
.btn-xs {
	--bs-btn-padding-y: .2rem;
	--bs-btn-padding-x: .4rem;
	--bs-btn-font-size: .75rem;
	--bs-btn-border-radius: var(--bs-border-radius-sm);

	min-width: 40px;
	min-height: 26px;
}


/* small */
.btn-sm {
	--bs-btn-padding-y: .25rem;
	--bs-btn-padding-x: .5rem;
	--bs-btn-font-size: .875rem;
	--bs-btn-border-radius: var(--bs-border-radius-sm);

	min-width: 46px;
	min-height: 31px;
}


/* large */
.btn-lg {
	--bs-btn-padding-y: .75rem;
	--bs-btn-padding-x: 1.25rem;
	--bs-btn-font-size: 1.125rem;
	--bs-btn-border-radius: var(--bs-border-radius-lg);
}
